## oggdemux

oggdemux

## Types and Values

struct | GstOggDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstOggDemux

## Description

This element demuxes ogg files into their encoded audio and video components.

#### Example pipelines

    1

    gst-launch-1.0 -v filesrc location=test.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! autoaudiosink

Decodes a vorbis audio stream stored inside an ogg container and plays it.

## Synopsis

### Element Information

plugin | ogg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | application/ogg
| audio/ogg
| video/ogg
| application/kate

name | src_%08x
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstOggDemux

    struct GstOggDemux;

The ogg demuxer object structure.

## See Also

oggmux